#VU29116 Out-of-bounds read


Published: 2020-06-17

Vulnerability identifier: #VU29116

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-20454

CWE-ID: CWE-125

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
PCRE2
Universal components / Libraries / Libraries used by multiple products

Vendor: PCRE

Description

The vulnerability allows a remote attacker to gain access to perform denial of service (DoS) attack.

The vulnerability exists due to a boundary condition in the "do_extuni_no_utf in pcre2_jit_compile.c" file when the pattern X is JIT compiled and used to match specially crafted subjects in non-UTF mode. A remote attacker can trigger out-of-bounds read error and crash the affected application.

Mitigation
Install update from vendor's website.

Vulnerable software versions

PCRE2: 10.00 - 10.33


CPE

External links
http://bugs.exim.org/show_bug.cgi?id=2421
http://bugs.php.net/bug.php?id=78338
http://bugzilla.redhat.com/show_bug.cgi?id=1735494
http://security.gentoo.org/glsa/202006-16
http://vcs.pcre.org/pcre2?view=revision&revision=1092


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability